Dance Tonight! Revolution Tomorrow!Orchid
US 2026 (Ebullition Records (2) Ebullition 46)10", RP, Ora
OrchidOrchid
US 2024 (Ebullition Records (2) EBULLITION #51)LP, Album, RP, Blu
RumoursFleetwood Mac
Europe 2020 (Warner Records 9362-49793-5)LP, Album, RE, RP
Gorilla BiscuitsGorilla Biscuits
US 2026 (Revelation Records (8) REVELATION:4)7", EP, RP, Neo
SubstanceNew Order
UK & Europe 2005 (London Records 3984 28227 2)2xCD, Comp, RE, RP, Del
KKula Shaker
Europe (Columbia SHAKER 1CD)CD, Album, RP
De Mysteriis Dom SathanasMayhem
UK 2020 (Back On Black BOBV048LP)LP, Album, RE, RP, Pur
Under A Funeral MoonDarkthrone
UK 2013 (Peaceville VILELP35)LP, Album, RE, RP, Gat
Live Aus BerlinRammstein
UK & Europe (Motor Music 547 590-2)CD, Album, RP
Home, Like Noplace Is ThereThe Hotelier
US 2015 (Tiny Engines TE127)LP, Album, RP, Whi
Born Into Trouble As The Sparks Fly Upward.A Silver Mt. Zion
Canada 2004 (Constellation CST018-1)2x10", Album, RP
Midwestern MinutesDefiance, Ohio
US 2023 (No Idea Records NO IDEA 289)LP, Album, Ltd, RP, Opa
The Best Of R.E.M.R.E.M.
UK (I.R.S. Records DMIRH 1)CD, Comp, RP
The Art Of DrowningAFI
US 2023 (Nitro Records 15835-1)LP, Album, RE
Everything SucksDescendents
US 2017 (Epitaph 86481-1)LP, Album, RP
The Kids Will Have Their SaySSD
US 2024 (Xclaim! no.1)12", Album, Ltd, RE, RM, RP, Pur
KingstonTitle Fight
US 2024 (Purple Circle Records PCR002)7", RP, Opa
Terminal StupidThe Snivelling Shits
UK 1977 (Ghetto Rockers Pre 2)7", Single, RP
Tigers JawTigers Jaw
US 2023 (Run For Cover Records (2) RFC:023)LP, Album, RE, RP, Che
You're Gonna Miss It AllModern Baseball
US 2022 (Run For Cover Records (2) RFC 096)LP, Album, RP, Oli
As You PleaseCitiZen
US 2023 (Run For Cover Records (2) RFC162)LP, Album, Ltd, RP, Whi
Flip Your WigHüsker Dü
US (SST Records SST-CD-055)CD, Album, RE, RP
Springtime And BlindFiddlehead
US 2022 (Run For Cover Records (2) RFC174)LP, Album, RP, Pin
Life In Your Glass WorldCitiZen
US 2021 (Run For Cover Records (2) RFC212)LP, Album, Ltd, RP, Gla
Они помогают запоминать настройки и обеспечивать работу сервиса. Сайтом можно пользоваться и без нажатия «Принять» — баннер снова появится при следующем заходе, пока вы не согласитесь.